Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class AggregateList

    java.lang.Object
      rice.p2p.aggregation.AggregateList

    public class AggregateList

extends java.lang.Object

Field Summary
`protected java.util.Hashtable` | `aggregateList`
`protected java.lang.String` | `configFileName`
`protected Environment` | `environment`
`protected IdFactory` | `factory`
`protected java.lang.String` | `instance`
`protected java.lang.String` | `label`
`protected java.io.PrintStream` | `logFile`
`protected java.lang.String` | `logFileName`
`protected Logger` | `logger`
`protected boolean` | `loggingEnabled`
`protected long` | `nextSerial`
`protected Id` | `rootKey`
`protected boolean` | `wasReadOK`

Constructor Summary
`AggregateList(java.lang.String configFileName, java.lang.String label, IdFactory factory, boolean loggingEnabled, java.lang.String instance, Environment env)`

Method Summary
`void` | `addAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)`
`void` | `clear()`
`java.util.Enumeration` | `elements()`
`rice.p2p.aggregation.AggregateDescriptor` | `getADC(Id id)`
`Id` | `getRoot()`
`Id[]` | `getSomePointers(int referenceThreshold, int max, Id[] excludes)`
`AggregationStatistics` | `getStatistics(long granularity, long range, int nominalReferenceCount)`
`boolean` | `isEmpty()`
`void` | `logEntry(java.lang.String entry)`
`boolean` | `readFromDisk()`
`boolean` | `readOK()`
`void` | `recalculateReferenceCounts(Id[] excludes)`
`void` | `recoverLog()`
`void` | `refreshAggregate(rice.p2p.aggregation.AggregateDescriptor adc, long lifetime)`
`void` | `removeAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)`
`void` | `resetMarkers()`
`void` | `setAggregateLifetime(rice.p2p.aggregation.AggregateDescriptor adc, long lifetime)`
`void` | `setObjectCurrentLifetime(rice.p2p.aggregation.AggregateDescriptor adc, int index, long lifetime)`
`void` | `setObjectRefreshedLifetime(rice.p2p.aggregation.AggregateDescriptor adc, int index, long lifetime)`
`void` | `setRoot(Id root)`
`void` | `writeToDisk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aggregateList

    protected final java.util.Hashtable aggregateList

### configFileName

    protected final java.lang.String configFileName

### logFileName

    protected final java.lang.String logFileName

### label

    protected final java.lang.String label

### factory

    protected final IdFactory factory

### logFile

    protected final java.io.PrintStream logFile

### loggingEnabled

    protected final boolean loggingEnabled

### rootKey

    protected Id rootKey

### wasReadOK

    protected boolean wasReadOK

### nextSerial

    protected long nextSerial

### instance

    protected java.lang.String instance

### environment

    protected Environment environment

### logger

    protected Logger logger

Constructor Detail

### AggregateList

    public AggregateList(java.lang.String configFileName,
                         java.lang.String label,
                         IdFactory factory,
                         boolean loggingEnabled,
                         java.lang.String instance,
                         Environment env)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readOK

    public boolean readOK()

### elements

    public java.util.Enumeration elements()

### recoverLog

    public void recoverLog()

### getRoot

    public Id getRoot()

### logEntry

    public void logEntry(java.lang.String entry)

### setRoot

    public void setRoot(Id root)

### isEmpty

    public boolean isEmpty()

### clear

    public void clear()

### getADC

    public rice.p2p.aggregation.AggregateDescriptor getADC(Id id)

### setAggregateLifetime

    public void setAggregateLifetime(rice.p2p.aggregation.AggregateDescriptor adc,
                                     long lifetime)

### setObjectCurrentLifetime

    public void setObjectCurrentLifetime(rice.p2p.aggregation.AggregateDescriptor adc,
                                         int index,
                                         long lifetime)

### setObjectRefreshedLifetime

    public void setObjectRefreshedLifetime(rice.p2p.aggregation.AggregateDescriptor adc,
                                           int index,
                                           long lifetime)

### resetMarkers

    public void resetMarkers()

### refreshAggregate

    public void refreshAggregate(rice.p2p.aggregation.AggregateDescriptor adc,
                                 long lifetime)

### addAggregateDescriptor

    public void addAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)

### removeAggregateDescriptor

    public void removeAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)

### recalculateReferenceCounts

    public void recalculateReferenceCounts(Id[] excludes)

### readFromDisk

    public boolean readFromDisk()

### writeToDisk

    public void writeToDisk()

### getSomePointers

    public Id[] getSomePointers(int referenceThreshold,
                                int max,
                                Id[] excludes)

### getStatistics

    public AggregationStatistics getStatistics(long granularity,
                                               long range,
                                               int nominalReferenceCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.